=== debian/changelog ===
libzeemote (1.0.4-maemo1) unstable; urgency=low

  *  Support for arbitrary axes and buttons

 -- Till Harbaum <till@harbaum.org>  Thu, 07 May 2009 18:09:02 +0200

libzeemote (1.0.3-maemo1) unstable; urgency=low

  *  Fixed signed/unsigned problem on arm

 -- Till Harbaum <till@harbaum.org>  Wed, 06 May 2009 17:29:20 +0200

libzeemote (1.0.2-maemo1) unstable; urgency=low

  * Performance optimizations

 -- Till Harbaum <Till@Harbaum.org>  Tue, 05 May 2009 21:02:22 +0200

libzeemote (1.0.1-maemo1) unstable; urgency=low

  * Small bug fixes
  * Fremantle compatibility

 -- Till Harbaum <Till@harbaum.org>  Tue, 05 May 2009 18:48:24 +0200

libzeemote (1.0-maemo1) unstable; urgency=low

  * Initial release

 -- Till Harbaum <Till@Harbaum.org>  Mon, 4 May 2007 19:35:42 +0100
