## libzeemote 1.0.5-maemo1

=== Makefile ===
#
# Copyright (C) 2009 Till Harbaum <till@harbaum.org>.
#
# This file is part of libzeemote.
#
# libzeemote is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# libzeemote is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with libzeemote.  If not, see <http://www.gnu.org/licenses/>.
#

all:
	cd lib && make
	cd test && make

install:
	cd lib && make install
	cd test && make install

clean:
	cd lib && make clean
	cd test && make clean
