=== test/Makefile ===
#
# Copyright (C) 2009 Till Harbaum <till@harbaum.org>.
#
# This file is part of libzeemote.
#
# libzeemote is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# libzeemote is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with libzeemote.  If not, see <http://www.gnu.org/licenses/>.
#

CFLAGS = -I../include
LDFLAGS = -Wall -L../lib -lzeemote -lbluetooth -pthread

zeemote_test: zeemote_test.c ../include/zeemote.h ../lib/zeemote.c
	gcc $(CFLAGS) -o $@ zeemote_test.c $(LDFLAGS)

install: zeemote_test
	install -d $(DESTDIR)/usr/bin
	install zeemote_test $(DESTDIR)/usr/bin

clean:
	rm -f zeemote_test *~ *.bak
