=== debian/changelog ===
libzeemote (1.0.5-maemo1) unstable; urgency=low

  * Allow graceful exit even while still connecting

 -- Till Harbaum <till@harbaum.org>  Mon, 11 May 2009 18:38:24 +0200
