## libzeemote 1.0.6-maemo1

=== debian/changelog ===
libzeemote (1.0.6-maemo1) unstable; urgency=low

  * Applied patch for blocking IO (by Ruediger Gad <r.c.g@gmx.de>)

 -- Till Harbaum <till@harbaum.org>  Thu, 29 Apr 2010 20:29:34 +0200
