=== debian/control ===
Source: libzeemote
Priority: extra
Maintainer: Till Harbaum <till@harbaum.org>
Build-Depends: debhelper (>= 5), libbluetooth2-dev | libbluetooth3-dev
Standards-Version: 3.7.2
Section: libs

Package: libzeemote
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library to access zeemote js1 joystick
 This library is required to access the zeemote js1
 bluetooth joystick from user space.

Package: libzeemote-dev
Section: libdevel
Architecture: any
Depends: libzeemote (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Development files to access zeemote js1 joystick
 These files are required to develop software accessing the 
 zeemote j1 bluetooth joystick from user space.
